Bug 99505 - The export of a chart as an image with antialiasing is faulty.
Summary: The export of a chart as an image with antialiasing is faulty.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2016-04-26 09:18 UTC by Peter Milbradt
Modified: 2020-02-09 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Big and small example Files (670.36 KB, application/zip)
2016-04-26 09:18 UTC, Peter Milbradt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Milbradt 2016-04-26 09:18:22 UTC
Created attachment 124641 [details]
Big and small example Files

When image-export to .png of a chart with antialiasing and many nodes it comes to faulty images on Linux (debian 8 and Linux Mint). Without anti-aliasing, the image-exports are okay.
For small charts and on MacOSX the problem does not exist.
Comment 1 Buovjaga 2016-05-03 13:17:44 UTC
Yep I do get the crappy export from BigTable.ods

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha1+
Build ID: 540fee2dc7553152914f7f1d8a41921e765087ef
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on April 30th 2016
Comment 2 QA Administrators 2018-02-08 03:36:22 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-02-09 03:42:14 UTC
Dear Peter Milbradt,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug